services:
  frontend:
    image: node:16.0.0
    container_name: moov-itaqua-node-next
    working_dir: /app
    environment:
      - NODE_ENV=development
    volumes:
      - ./:/app
    ports:
      - ${PORT}:${PORT}
    command: bash -c "npm run dev"
    env_file:
      - .env
    networks:
      - moov-itaqua-network
    extra_hosts:
      - "host.docker.internal:host-gateway"

networks:
  moov-itaqua-network:
    driver: bridge